#
# spec file for package ms-sys
#
# Copyright (c) 2021 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           ms-sys
Version:        2.7.0
Release:        1699.1.pm.29
Summary:        A Linux program for writing Microsoft compatible boot records
License:        GPL-2.0-only
Group:          System/Boot
URL:            http://ms-sys.sourceforge.net/
Source0:        https://prdownloads.sourceforge.net/ms-sys/%{name}-%{version}.tar.gz
Source100:      %{name}.changes

%description
This program is used to create Microsoft compatible boot records. It is able
to do the same as Microsoft "fdisk /mbr" to a hard disk. It is also able to
do the same as Microsoft "sys d:" to a floppy or FAT partition except that
it does not copy any system files, only the boot record is written.
Specifications of boot records is taken from
http://www.geocities.com/thestarman3/asm/mbr/MBR_in_detail.htm

The program is useful when using Linux to restore a backup of a reference
Microsoft Windows installation.

%prep
%autosetup

%build
%make_build EXTRA_CFLAGS="%{optflags}" debug

%install
make PREFIX=%{_prefix} MANDIR=%{_mandir} DESTDIR=%{buildroot} install

%files
%license COPYING
%doc CHANGELOG CONTRIBUTORS FAQ README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_mandir}/de/man1/%{name}.1%{?ext_man}
%{_mandir}/fr/man1/%{name}.1%{?ext_man}
%{_mandir}/sv/man1/%{name}.1%{?ext_man}
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/%{name}.mo

%changelog
* Sat Jan 23 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 2.7.0
  * Compressing man-page with gzip --no-name for
    reproducibility.
  * Added NT6.0 FAT32 boot record (Win7/8/10)
  * Added NT6.0 EXFAT boot record (Win8/10)
  * Updated partition information feature for EXFAT and
    NTFS and also enabled missing FAT16 support.
  * Added X/Open7 POSIX.1-2008 definition to prevent
    compile warnings in identify.c and exfat.c source
    code caused by the fileno function.
  * Removed support to alter OEM ID of NTFS boot records
    since this makes for an unmountable partition.
  * Fixed error in Makefile where debug build didn't work.
  * Changed Makefile to support install.
  * Updated french, german and swedish man pages.
  * Updated french, german and swedish po files.
  version 2.5.3:
  * Added french man page and translation.
  version 2.5.2:
  * Added german man page.
  * Added support for Grub2 and Grub4Dos MBR.
  * Added support for KolibriOS MBR and FAT32 boot record.
  * Added support for ReactOS MBR, FAT32 and FAT16 BR.
  * Added support for Rufus MBR.
  * Added experimental support for large sectors ( > 512).
  * Now possible to alter OEM ID of FAT and NTFS boot records.
  * Now possible to alter Windows Disk Signature in MBR.
  version 2.5.1:
  * Added german translation.
  version 2.4.1:
  * Added support for FAT32 PE boot record.
  version 2.4.0
  * Added support for syslinux GPT MBR.
  * Updated syslinux mbr to version 6.02.
  version 2.3.0:
  * Added experimental support for NTFS boot record. This
    functionality is mostly useful to identify Windows 7 NTFS
    boot records. Writing an NTFS Windows 7 boot record will
    most likely not be of much use.
  version 2.2.1:
  * Modified Makefile to recreate directories lost by CVS.
  * Now also doing a sanity check before only writing BPB.
* Fri Jan  7 2011 packman@links2linux.de - 2.2.0
- initial package, version 2.2.0
